--- apps/xojpanel/xojpanel.cpp.orig	Thu Jul 25 18:01:24 2002
+++ apps/xojpanel/xojpanel.cpp	Sun Sep 28 23:56:37 2003
@@ -56,6 +56,7 @@
 #include <qlabel.h>
 #include <qpixmap.h>
 #include <qstring.h>
+#include <qtextcodec.h>
 #include <stdio.h>
 #include <ctype.h>
 #include <stdlib.h>
@@ -76,11 +77,11 @@
 //
 // Fixed-width fonts
 //
-#define DEFAULT_FONT "Courier" //
+// #define DEFAULT_FONT "Courier" //
 // #define DEFAULT_FONT "Adobe-courier"
 // #define DEFAULT_FONT "clean"
 // #define DEFAULT_FONT "dec-terminal"
-// #define DEFAULT_FONT "misc-fixed"
+#define DEFAULT_FONT "misc-fixed"
 // #define DEFAULT_FONT "quicktype mono"
 // #define DEFAULT_FONT "Courier new"
 // #define DEFAULT_FONT "LCD"
@@ -349,7 +350,7 @@
 
 	// Configure the titlebar text based on how the
 	// application is called from the command-line.
-	QString titlebarText = "status";
+	QString titlebarText = QString::fromLocal8Bit("status");
 	if ( deviceNameInTitle ) titlebarText.prepend( deviceName + " - " );
 	else if (!useCaption) titlebarText = ALT_TITLEBAR_TEXT;	
 	if (useCaption) titlebarText = (QString)caption;
@@ -885,7 +886,7 @@
 
 	if( line->length() < (MAX_LCD_CHARS + 1) ) { // It's short enough to paint all at once.
 		for (i = 0;  i < line->length();  i++, x += 12)
-			p->drawText( x, y, line->mid(i, 1), 1);
+			p->drawText( x, y, tr(line->mid(i, 1)), 1);
 	}
 	else {
 		printf( "Error: in \"void drawLCDTextLine(...)\": Line length exceeds ");
@@ -919,6 +920,8 @@
 	#endif
 
 	QApplication app(argc,argv);
+
+	app.setDefaultCodec(QTextCodec::codecForName("SJIS"));
 
 	XojPanel *xojpanel = new XojPanel(argc,argv);
 
